//---------------------------------------------------------------------------

#include <iostream>
#include <fstream>
#include <vcl.h>
#include <filectrl.hpp>
#pragma hdrstop

#include "setup.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmSetup *frmSetup;
//---------------------------------------------------------------------------
__fastcall TfrmSetup::TfrmSetup(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetup::btnOKClick(TObject *Sender)
{
 if (FileExists(IncludeTrailingBackslash(edtDirectory->Text) + "soldat.exe"))
 {
        std::ofstream file;
        AnsiString name = "options.ini";           
        file.open(name.c_str(), ios::out);
        AnsiString lang = "english";
        if (cmbLanguage->ItemIndex == 1)
                lang = "polish";
        if (file.good())
        {
                file << edtDirectory->Text << '\n' << lang;
                file.close();
        }
        ModalResult = 1;
 }
 else
        ShowMessage("Could not find Soldat in the directory you specified");
}
//---------------------------------------------------------------------------
void __fastcall TfrmSetup::btnDirectoryClick(TObject *Sender)
{
 AnsiString s;
 SelectDirectory("Select directory where Soldat is installed", "c:\\", s);
 edtDirectory->Text = s;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetup::FormCreate(TObject *Sender)
{
 cmbLanguage->ItemIndex = 0;
}
//---------------------------------------------------------------------------


void __fastcall TfrmSetup::FormClose(TObject *Sender, TCloseAction &Action)
{
 if ((ModalResult != 2) && (!FileExists(IncludeTrailingBackslash(edtDirectory->Text) + "soldat.exe")))
        Action = caNone;
}
//---------------------------------------------------------------------------

void __fastcall TfrmSetup::BitBtn1Click(TObject *Sender)
{
        ModalResult = 2;
}
//---------------------------------------------------------------------------

