//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <Menus.hpp>
#include <ComCtrls.hpp>
#include <ToolWin.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TfrmMain : public TForm
{
__published:	// IDE-managed Components
        TOpenDialog *opnOpen;
        TListBox *lstItems;
        TImage *imgMain;
        TTimer *tmrPlay;
        TPopupMenu *popItems;
        TLabel *lblItems;
        TLabel *Label6;
        TLabel *Label4;
        TSaveDialog *svdSave;
        TPopupMenu *popAddFrame;
        TMenuItem *mniAddToEnd;
        TMenuItem *mniInsert;
        TTrackBar *trcFrame;
        TEdit *edtFrame;
        TLabel *lblOutof;
        TSpeedButton *btnPlay;
        TPanel *pnlTop;
        TBitBtn *btnLoad;
        TBitBtn *btnSave;
        TBitBtn *btnSaveAs;
        TBitBtn *btnRestore;
        TBitBtn *btnHelp;
        TStatusBar *sttBottom;
        TImage *imgPreview;
        TBitBtn *btnSub;
        TBitBtn *btnAdd;
        void __fastcall lstItemsClick(TObject *Sender);
        void __fastcall btnPlayClick(TObject *Sender);
        void __fastcall tmrPlayTimer(TObject *Sender);
        void __fastcall predefdClick(TObject *Sender);
        void __fastcall bydialogClick(TObject *Sender);
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall trcFrameChange(TObject *Sender);
        void __fastcall imgMainMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall FormShow(TObject *Sender);
        void __fastcall btnLoadMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall btnSaveClick(TObject *Sender);
        void __fastcall btnSaveAsClick(TObject *Sender);
        void __fastcall imgMainMouseUp(TObject *Sender, TMouseButton Button,
          TShiftState Shift, int X, int Y);
        void __fastcall imgMainMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
        void __fastcall btnAddMouseDown(TObject *Sender,
          TMouseButton Button, TShiftState Shift, int X, int Y);
        void __fastcall btnSubClick(TObject *Sender);
        void __fastcall mniAddToEndClick(TObject *Sender);
        void __fastcall edtFrameKeyPress(TObject *Sender, char &Key);
        void __fastcall edtFrameChange(TObject *Sender);
        void __fastcall mniInsertClick(TObject *Sender);
        void __fastcall btnRestoreClick(TObject *Sender);
        void __fastcall FormKeyDown(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall FormKeyUp(TObject *Sender, WORD &Key,
          TShiftState Shift);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall btnHelpClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfrmMain(TComponent* Owner);
        void __fastcall updateImage();
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmMain *frmMain;
//---------------------------------------------------------------------------
#endif
