//---------------------------------------------------------------------------

#include <vcl.h>
#include <sysutils.hpp>
#include "setup.h"
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", frmMain);
USEFORM("setup.cpp", frmSetup);
USEFORM("restore.cpp", frmRestore);
USEFORM("message.cpp", frmMessage);
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
        try
        {
                 Application->Initialize();
                 Application->CreateForm(__classid(TfrmMain), &frmMain);
                 Application->CreateForm(__classid(TfrmSetup), &frmSetup);
                 Application->CreateForm(__classid(TfrmRestore), &frmRestore);
                 Application->CreateForm(__classid(TfrmMessage), &frmMessage);
                 int i = 1;
                 if (!FileExists("options.ini")) //if the options file is not there
                        i = frmSetup->ShowModal(); //show the setup form, to create it

                 if (i == 1)
                        Application->Run();
        }
        catch (Exception &exception)
        {
                 Application->ShowException(&exception);
        }
        catch (...)
        {
                 try
                 {
                         throw Exception("");
                 }
                 catch (Exception &exception)
                 {
                         Application->ShowException(&exception);
                 }
        }
        return 0;
}
//---------------------------------------------------------------------------
